Magic talent mark quest - hornets 'defeated' on server restart
Closed, ResolvedPublic


What is happening:
The magic talent mark quest includes one point at which the player is required to defeat a number of hornets. On reaching this point, I experienced a server reset after the hornets appeared but before attacking them. On re-login, the hornets were no longer present and thus counted as having been defeated.

What should be happening:
I should still have to defeat the hornets on next login, even in the face of a server reset. (Whether they're there the instant I log in or whether I have to talk to Arcane again to trigger their re-appearance - either would work)

Steps to reproduce the issue:
Take magic talent mark quest. Complete Rosemary, Thyme, Parsley and Sage's portions. Go to Ponydale to talk to the student in the Everfree. On talking to her, a few hornets will appear. Leave the server (I had a server reset, but logging out may very well work as well). Return to the server, and reap the rewards of having 'defeated' the hornets.

Game client version: (containing the 0.1.6 client)

Reproduced on:
64-bit Linux

ccc_037 created this task.May 29 2017, 6:32 AM
justin reassigned this task from justin to Rattletrap.Jun 28 2017, 1:43 AM
justin lowered the priority of this task from Needs Triage to Normal.
justin edited projects, added scripting; removed loe-team.
justin added a subscriber: justin.
justin removed a subscriber: justin.
Rattletrap closed this task as Resolved.Sep 22 2017, 8:14 AM

This issue has been resolved.